<div class="generalSettings">
    <div class="paddingFull ">
        <div class="btn createUser small floatRight addNewHelpWidgetBtn">New Help content</div>
        <span class="clear"></span>
    </div>

    <div class="userTable ">
        <div class="dataTable devicesList">
            <div class="dataRow header">
                <ul class="rowCont">
                    <li class="uName">Page Code</li>
                    <li class="fName">Help Content Name</li>
                    <li class="edit">Edit</li>
                    <li class="delete">Delete</li>
                </ul>
            </div>

            <div class="dataRow" ng-repeat="helpWidgets in helpWidget.widgetDetails">
                <ul class="rowCont">
                    <li class="">{{helpWidgets.pageCode}}</li>
                    <li class="">{{helpWidgets.widgetName}}</li>
                    <li class="edit">
                    <div class="editBtn editHelpWidgetBtn" ng-click="editDataForHelpWidget(helpWidgets)">
                        <img src="images/editSign.png" alt="">
                    </div>
                </li>
                    <li class="delete">
                        <div class="deleteBtn deleteHelpWidgetBtn" ng-click="setIdForDelete(helpWidgets._id)">
                            <img src="images/delete_red.png" alt="">
                        </div>
                    </li>
                </ul>
            </div>
        </div>
    </div>

</div>


<!--....... Add Help Widget popup ......-->
<div class="popup absolute large addNewHelpWidget">
    <div class="x close">X</div>
    <div class="popupContent">
        <div class="paddingTBSml borderBtm small marginBtmSml">Create Help Content</div>
        <ul class="form  marginBtmSec">
            <li>
                <div class="tag">Page Code</div>
                <div class="dropDown midBlock personCat subNormal" ng-if="helpWidget.type==='add'">
                    <div class="head" data-init="0">
                        <div class="headTitle" ng-bind="addDetails.pageCode"></div>
                        <img src="images/arrow_down_white.png" alt="" class="sign">
                    </div>
                    <ul class="list">
                        <li ng-click="setPageCode('Overview')">Overview</li>
                        <li ng-click="setPageCode('Sensors')">Sensors</li>
                        <li ng-click="setPageCode('Apps')">Apps</li>
                        <li ng-click="setPageCode('Instance')">Instance</li>
                        <li ng-click="setPageCode('Servers')">Servers</li>
                        <li ng-click="setPageCode('Data')">Data</li>
                        <li ng-click="setPageCode('Settings')">Settings</li>
                    </ul>
                </div>
                <input ng-if="helpWidget.type==='edit'" type="text" style="color: rgba(255, 255, 255, 0.45);"
                placeholder="Please Enter Help Content Name" ng-model="addDetails.pageCode" disabled>
                <div class="error small marginTopShort" ng-if="helpWidget.type==='add' && helpWidget.addDetails.isSelectedPageCodeContentAlreadyPresent">
                    Selected Page  "{{helpWidget.addDetails.selectedPageCode}}" Already Contains Help Content
                </div>
            </li>
            <li>
                <div class="tag">Help Content Name</div>
                <input type="text" placeholder="Please Enter Help Content Name" ng-model="addDetails.widgetName">
            </li>
            <li>
                <div class="tag">Help Content</div>
                <textarea type="text" placeholder="Please Enter Help Content" ng-model="addDetails.widgetDescription" class="big"></textarea>
            </li>
        </ul>

        <div class="btnsMain">
            <div class="btn midBlock marginRgt" ng-click="addHelpWidget()" ng-if="helpWidget.type==='add' && !helpWidget.addDetails.isSelectedPageCodeContentAlreadyPresent">Add</div>
            <div class="btn midBlock marginRgt disabled" ng-click="addHelpWidget()" ng-if="helpWidget.type==='add' && helpWidget.addDetails.isSelectedPageCodeContentAlreadyPresent">Add</div>
            <div class="btn midBlock marginRgt" ng-click="updateDataForHelpWidget()" ng-if="helpWidget.type==='edit'">Update</div>
            <div class="btn midBlock close">Cancel</div>
        </div>
    </div>
</div>

<!--....... delete Help Widget popup  .....-->
<div class="popup confirmMsg deleteHelpWidget">
    <div class="x close">X</div>
    <div class="popupContent">
        <div class="msg smallTitle roboLight marginBtmSec">
            Are you sure <br>
            you want to delete this Help Widget?
        </div>
        <div class="btnsMain">
            <div class="btn red midBlock marginRgt" ng-click="deleteSelectedHelpWidget()">Delete</div>
            <div class="btn midBlock close">Cancel</div>
        </div>
    </div>
</div>
